/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _MP_DRM_CTRL_H_
#define _MP_DRM_CTRL_H_

#define	DRM_STR_LEN_MAX		2048

typedef enum
{
	MP_VIDEO_DRM_ERROR_NONE = 0,
	MP_VIDEO_DRM_ERROR_INTERNAL,
	MP_VIDEO_DRM_ERROR_TIME_BASED,
	MP_VIDEO_DRM_ERROR_INTERVAL,
	MP_VIDEO_DRM_ERROR_INTERVAL_FIRST_USE,
	MP_VIDEO_DRM_ERROR_ACCUMULATED,
	MP_VIDEO_DRM_ERROR_COUNT,
	MP_VIDEO_DRM_ERROR_COUNT_SMALL,
	MP_VIDEO_DRM_ERROR_TIME_COUNT_BASED,
	MP_VIDEO_DRM_ERROR_TIME_INDIVIDULAL,
	MP_VIDEO_DRM_ERROR_TIME_SYSTEM,
	MP_VIDEO_DRM_ERROR_MAX,
}MpVideoDrmErrorType;



typedef struct
{
	int	nErrorCode;
	int	nData;
}MpVideoDrmInfo;


typedef enum
{
	VIDEO_DRM_CONSUMPTION_STATE_DISABLE		= 0,
	VIDEO_DRM_CONSUMPTION_STATE_ENABLE,
}MpVideoDrmConsumptionStateType;


void	MpVideoDrmInit(void);
bool	MpVideoDrmGetForwardLookState(void);
void	MpVideoDrmSetConsumptionState(int nState);
int	MpVideoDrmGetConsumption(void);
void	MpVideoDrmStartConsumption(char *szPath);
void	MpVideoDrmPauseConsumption(void);
void	MpVideoDrmResumeConsumption(void);
void	MpVideoDrmStopConsumption(void);
bool	MpVideoDrmIsDrmFile(char* szPath);		//bool MpVideoDrmFileRight(char* szPath);
bool	MpVideoDrmHasValidRo(char* szPath);
bool	MpVideoDrmCheckForward(char* szPath);
MpVideoDrmInfo	*MpVideoDrmCheckLeftRo(char* szVideoTitle, char* szPath);
bool	MpVideoDrmCheckExpiration(char* szPath);

/* DivX DRM functions */
void	MpVideoDrmGetFileExtension(char *szPath, char *szContentType, int nContentTypeStrSize);

#endif //_MP_DRM_CTRL_H_
