/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _MP_EXTERNAL_UG_
#define  _MP_EXTERNAL_UG_


#include <ui-gadget.h>


typedef enum
{
	MP_EXTERNAL_UG_NONE				= -1,
	MP_EXTERNAL_UG_MESSAGE			= 0,
	MP_EXTERNAL_UG_EMAIL,
	MP_EXTERNAL_UG_MYFILE_DETAIL,
	MP_EXTERNAL_UG_YOUTUBE,
	MP_EXTERNAL_UG_BLUETOOTH,
	MP_EXTERNAL_UG_FTM,
	MP_EXTERNAL_UG_FACEBOOK,
	MP_EXTERNAL_UG_MAX,
}MpExternalUGType;


bool MpExternalUgLoad(MpExternalUGType nExternalUGType, void* pUserData);
void MpExternalUgUnload(void);
void MpExternalUgDestroyAll(void);
int	MpExternalUgGetCurUgState(void);
void MpExternalUgSetUgState(MpExternalUGType nExternalUGType);
bool MpExternalUgShow(void *pUserData, void *pParent);
void MpExternalUgHide();

#endif // _MP_EXTERNAL_UG_
