/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _MP_UTIL_
#define _MP_UTIL_


#include "video-player.h"


typedef enum
{
	NORMAL_POPUP_RETURN_TYPE_UNKNOW		= 0,
	NORMAL_POPUP_RETURN_TYPE_YES,
	NORMAL_POPUP_RETURN_TYPE_NO,
	NORMAL_POPUP_RETURN_TYPE_ERR,
}NormalPopUpRetType;


void	MpUtilResetForRelaunching(void);
void	MpUtilSetAlphaOfMainWindow(bool bSetAlpha);
void*	MpUtilCreateMainWindow(const char *pStrName);

int  MpUtilSetKeyGrab(const char* szKeyName, int nGrabMode);
int  MpUtilSetKeyUngrab(const char* szKeyName);
bool MpUtilCheckRTSPType(char *szUriPath);
int  MpUtilCheckUriType(char *szUriPath);
bool MpUtilCheckLocalFileExist(char *uri);
bool MpUtilCheckBatteryStatus(void);
int  MpUtilBatteryStatusNoti(VideoAppData* pAppData);
int  MpUtilBatteryStatusNotiIgnore(void);
int  MpUtilMMCstatusNoti(VideoAppData* pAppData);
int  MpUtilMMCstatusNotiIgnore(void);
int  MpUtilCheckDlnaSortType(void* pSvcHandle, char* szBundleKey);
int  MpUtilCheckDlnaMediaID(void* pSvcHandle, char* szBundleKey);
int  MpUtilGetRotationStateFromAppcore(void);
int  MpUtilGetRotationState(void);
void MpUtilSetRotationState(int nCurRotation);
bool MpUtilGetTitleFromFilepath(char* szFilepath, char* szTitle, int nLengthTitle);
void MpUtilInitSession(void);
void MpUtilFinishSession(void);
void MpUtilVolumeTypeSet(void);
void MpUtilVolumeTypeUnset(void);
bool MpUtilCheckMuteStatus();
bool MpUtilSetVolumeChangeCbSet(void *pUserData);
void MpUtilSetVolumeChangeCbUnset();
void MpUtilDeletePopupHandle(void);
bool MpUtilNotifyPopUp(VideoAppData* pAppData, char* szContents, void* PopupButtonCallbackFunc);
bool MpUtilWarinigPopUp(VideoAppData *pAppData, char *szContents,void *PopupButtonCallbackFunc);
bool MpUtilYesNoPopUp(VideoAppData *pAppData, char *szTitle, char *szContents, void *PopupYesButtonCallbackFunc, void *PopupNoButtonCallbackFunc);
bool MpUtilRemoveQuestionPopUp(VideoAppData *pAppData, void *PopupDeleteButtonCallbackFunc, void *PopupCancelButtonCallbackFunc, void *pUserData);
bool MpUtilProgressPopUp(VideoAppData* pAppData, char* szLabel);
void MpUtilStatusBarNotiPopupShow(const char *szStr);
void *MpUtilCreateButtonIcon(void *pParent, const char *szIconPath, bool bSizeUp, bool bSizeDown, int nAspectWidth, int nAspectHeight, void *pUserData, char* szButtonStyle, void *func);
void* MpUtilCreateStyleButton(void *pParent, const char* szButtonText, const void *pUserData, char* szButtonStyle, void *func);
void* MpUtilLoadEdjFile(Evas* pEvas, char* szEdjName, char* szGroupName);
bool MpUtilIsCallOff(void);
bool MpUtilIsCameraOff(void);
bool MpUtilRegisteCameraStatusCbFunc(void *pCameraStatusCb, void *pUserData);
bool MpUtilIsConnectEarjack(void);
bool MpUtilRegisteEarjackCbFunc(void *pEarjackCb, void *pUserData);
bool MpUtilSetPreviewUrlVideos(char* szPreviewUrl);
bool MpUtilGetPreviewUrlVideos(char* szRetPreviewUrl, int nStrSize);
bool MpUtilSetPreviewUrlRecords(char* szPreviewUrl);
bool MpUtilGetPreviewUrlRecords(char* szRetPreviewUrl, int nStrSize);
unsigned int MpUtilGetMainWindowXID(void);
void MpUtilRotateWindow(int nRotateMode, void* pWindowHandle);
void MpUtilGetUserAgent(VideoAppData* pAppData);
double MpUtilGetSysTime(void);
void MpUtilLcdNormalPowerLockForResume(void);
void MpUtilLcdNormalPowerUnlockForPause(void);
void MpUtilLcdOffForPowerButton(void);
bool MpUtilTurnOverSensorInit(void *pUserData);
bool MpUtilTurnOverSensorDestroy(void);
void MpUtilMultimediaKeyGrab(void);
void MpUtilMultimediaKeyUngrab(void);
void MpUtilMultimediaVolumeKeyGrab(void);
void MpUtilMultimediaVolumeKeyUngrab(void);

char* MpUtilGetFileSize(unsigned int size);
void MpUtilConvertTime(int nVideoTime, char* szRetTime, bool bIsHideHour);
bool MpUtilAddToHome(const char *file_path);
void MpUtilLayoutVisibleOff(void *pWindowHandle);

#endif // _MP_UTIL_
