/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _MP_VIDEO_CTRL_MGR_H_
#define _MP_VIDEO_CTRL_MGR_H_


bool	MpVideoCtrlMgrMediaCreate(char *szMediaURI, void *pOverlayXid, void *pEvasSinkID, char* szSubtitleUri, void *pUserData);
bool 	MpVideoCtrlMgrMediaRealize(void);
bool 	MpVideoCtrlMgrMediaRealizeAsync(void *pReailzeCb, void *pUserData);
void	MpVideoCtrlMgrMediaDestroy(void* pUserData);
bool	MpVideoCtrlMgrMediaPlay(void* pUserData);
void	MpVideoCtrlMgrMediaStop(void* pUserData);
void	MpVideoCtrlMgrMediaPause(void* pUserData);
void	MpVideoCtrlMgrMediaResume(void* pUserData);
void	MpVideoCtrlMgrSetPlayerCallback(void *PlayerCompletedCb, void *PlayerInterruptedCb, void *PlayerErrorCb, void *PlayerBufferingCb, void *PlayerSubtitleCb, void *pUserData);
void	MpVideoCtrlMgrSetOverlayXid(void* pXid);
void	MpVideoCtrlMgrSetPosition(int nSetPosition, void *pSeekCb, void *pUserData);
void 	MpVideoCtrlMgrSetSubtitlePosition(int nSetPosition);
int		MpVideoCtrlMgrGetPosition(void);
int		MpVideoCtrlMgrGetDuration(void);
void	MpVideoCtrlMgrResetPlaySpeed(void* pUserData);
void	MpVideoCtrlMgrSetPlaySpeedUp(void* pUserData);
void	MpVideoCtrlMgrSetPlaySpeedDown(void* pUserData);
int		MpVideoCtrlMgrGetVideoWidthResolution(void);
int		MpVideoCtrlMgrGetVideoHeightResolution(void);
void	MpVideoCtrlMgrSetRatioVideoScreen(void* pUserData, int nRatioScreenSize);
void	MpVideoCtrlMgrRotateVideoScreen(int nVideoRotateValue);
void	MpVideoCtrlMgrSetMute(bool bMuteEnable);
bool	MpVideoCtrlMgrGetMuteState(void);
int 	MpVideoCtrlMgrGetBufferingPosition(void);
bool	MpVideoCtrlMgrIsExistPlayerHandle(void);
bool	MpVideoCtrlMgrIsOnlyAudio(void);
bool 	MpVideoCtrlMgrSetScaling(bool bScale);
int		MpVideoCtrlMgrGetErrorType(int nErrorVal);
void	MpVideoCtrlMgrSetMute(bool bState);
int MpVideoCtrlMgrGetClosedCaptionCount(void);


#endif
