/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */



#ifndef _VIDEO_DISPLAY_VIEW_
#define  _VIDEO_DISPLAY_VIEW_


typedef enum
{
	MP_DISPLAY_VIEW_STATE_ACTIVATE		= 0,
	MP_DISPLAY_VIEW_STATE_UNACTIVATE,
	MP_DISPLAY_VIEW_STATE_MAX,
}VideoDisplayViewState;

typedef void (*ChangeDisplayViewCbFunc)(int nChangePlayerView, void* pUserData);

void	MpVideoDisplayViewPush(void *pNaviFrame, int nPlayerType, void *pUserData, ChangeDisplayViewCbFunc pChangeViewCb);
void	MpVideoDisplayViewPop(void *pNaviFrame, void* pUserData);
void	MpVideoDisplayViewDestroy(void *pUserData);

void	MpVideoDisplayViewInitAfterBeginOfStream(void *pUserData);
void	MpVideoDisplayViewUpdatePauseKey(void);
void	MpVideoDisplayViewUpdateResumeKey(void);
void	MpVideoDisplayViewShowControlPanel(void *pUserData);
void	MpVideoDisplayViewHideControlPanel(void *pUserData);
void	MpVideoDisplayViewActivate(void);
void	MpVideoDisplayViewUnactivate(void);
void	MpVideoDisplayViewChangeNaviFrameTitle(void *pUserData);
bool	MpVideoDisplayViewIsTopView(void);
void	MpVideoDisplayViewShowNocontentImage(void *pUserData);
void	MpVideoDisplayViewHideNocontentImage(void);
void	MpVideoDisplayViewPortrate(bool bLayoutHide, void *pUserData);
void	MpVideoDisplayViewLandscape(bool bLayoutHide,void *pUserData);
void	MpVideoDisplayViewResetProgressBar(void *pUserData);
bool	MpVideoDisplayViewIsPauseByUser(void);
void 	MpVideoDisplayViewSetPauseByUser(bool bPauseByUser);
void 	MpVideoDisplayViewUpdateProgressBar(void *pUserData);
void 	MpVideoDisplayViewSetMuteStatus(bool bMute);

#endif
