/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_LOG_H_
#define _VIDEO_LOG_H_

#include <dlog.h>
#include <unistd.h>
#include <linux/unistd.h>


#ifdef LOG_TAG
#undef LOG_TAG
#endif


#define LOG_TAG "video-player"

//#define video_info(fmt,arg...)				LOGD( "[%s : %d] " fmt "\n", __FUNCTION__,__LINE__, ##arg)
//#define video_info(fmt,arg...)				LOGI( "[%s : %d] " fmt , __FUNCTION__,__LINE__, ##arg)
//#define video_info(fmt,arg...)				LOGI(fmt , ##arg)
//#define video_info(fmt,arg...)				printf(fmt , ##arg)
//#define video_info(fmt,arg...)				LOGD( "[%s %s : %d] " fmt "\n",__FILE__,  __FUNCTION__,__LINE__, ##arg)

//#define video_info(fmt,arg...)					LOGI( "[VP][%s][%d]" fmt "\n", __FUNCTION__,__LINE__, ##arg)
//#define video_debug(fmt,arg...)					LOGD( "[%s %s : %d] " fmt "\n",__FILE__, __FUNCTION__,__LINE__, ##arg)
//#define video_warning(fmt,arg...)				LOGD( "[%s %s : %d] " fmt "\n",__FILE__, __FUNCTION__,__LINE__, ##arg)
//#define video_error(fmt,arg...)				LOGD( "[%s %s : %d] " fmt "\n", __FILE__,__FUNCTION__,__LINE__, ##arg)

#define VideoLogInfoWithTid(fmt,arg...)			LOGI( "[VP][TID:%d][%s][%d]" fmt "\n", syscall(__NR_gettid), __FUNCTION__, __LINE__, ##arg)
#define VideoLogInfo(fmt,arg...)				LOGI( "[VP][%s][%d]" fmt "\n", __FUNCTION__,__LINE__, ##arg)
#define VideoLogDebug(fmt,arg...)				LOGD( "[%s %s : %d] " fmt "\n",__FILE__, __FUNCTION__,__LINE__, ##arg)
#define VideoLogWarning(fmt,arg...)			LOGD( "[%s %s: %d]\033[0;33m [WARN]  " fmt "\033[0m\n", __FILE__, __FUNCTION__, __LINE__, ##arg)
#define VideoLogError( fmt,arg...)			LOGD( "[%s %s: %d]\033[0;31m [ERR] " fmt "\033[0m\n", __FILE__, __FUNCTION__, __LINE__, ##arg)


//#define video_info(fmt,arg...)					printf( "[%s %s : %d] " fmt "\n",__FILE__,  __FUNCTION__,__LINE__, ##arg)
//#define video_debug(fmt,arg...)					printf( "[%s %s : %d] " fmt "\n",__FILE__, __FUNCTION__,__LINE__, ##arg)
//#define video_warning(fmt,arg...)				printf( "[%s %s : %d] " fmt "\n",__FILE__, __FUNCTION__,__LINE__, ##arg)
//#define video_error( fmt,arg...)				printf( "[%s %s : %d] " fmt "\n", __FILE__,__FUNCTION__,__LINE__, ##arg)


#endif /*_MPVIDEO_LOG_H_*/
