/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_SERVICE_CTRL_
#define  _VIDEO_SERVICE_CTRL_


typedef enum
{
	MP_ERROR_PLAYER_TYPE					= 0,
	MP_NONE_VIEW_TYPE,
	MP_VIDEO_PLAYER,
	MP_VIDEO_PLAYER_SIMPLE,
	MP_VIDEO_PLAYER_EMAIL,
	MP_VIDEO_PLAYER_MMS,
	MP_VIDEO_PLAYER_GALLERY,
	MP_STREAMING_PLAYER,
	MP_MAX_PLAYER_TYPE,
}MpPlayerViewType;


void MpVideoServiceCtrlReset(void);
int MpVideoServiceCtrlInitServiceParser(void* pAppServiceHandle, char** szMediaUri);


int MpVideoServiceCtrlGetLatestTime(void);
int MpVideoServiceCtrlGetPlayerTypeWithoutLog(void);
int MpVideoServiceCtrlGetPlayerType(void);
void MpVideoServiceCtrlSetPlayerType(int nSetPlayerType);
int MpVideoServiceCtrlGetPrevPlayerType(void);
void MpVideoServiceCtrlSetPrevPlayerType(int nSetPlayerType);
char* MpVideoServiceCtrlGetCookieForStreaming(void);

#endif //_VIDEO_SERVICE_CTRL_
