/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_STREAMING_VIEW_
#define  _VIDEO_STREAMING_VIEW_


typedef enum
{
	MP_STREAMING_VIEW_STATE_ACTIVATE		= 0,
	MP_STREAMING_VIEW_STATE_UNACTIVATE,
	MP_STREAMING_VIEW_STATE_MAX,
}VideoStreamingViewState;

typedef void (*ChangeStreamingViewCbFunc)(int nChangePlayerView, void* pUserData);

void MpVideoStreamingViewPush(void* pNaviFrame, int nPlayerType, void* pUserData, ChangeStreamingViewCbFunc pChangeViewCb);
void MpVideoStreamingViewPop(void* pNaviFrame, void* pUserData);
void MpVideoStreamingViewDestroy(void* pUserData);

void MpVideoStreamingViewInitAfterBeginOfStream(void* pUserData);
void MpVideoStreamingViewUpdatePauseKey(void);
void MpVideoStreamingViewUpdateResumeKey(void);
void MpVideoStreamingViewShowControlPanel(void* pUserData);
void MpVideoStreamingViewHideControlPanel(void* pUserData);
void MpVideoStreamingViewActivate(void);
void MpVideoStreamingViewUnactivate(void);
void MpVideoStreamingViewRotation(void *pUserData, int nRotateMode, bool bLayoutHide);
void MpVideoStreamingViewSetBufferingRate(int nSetBufferingRate);
bool MpVideoStreamingViewGetBufferingState(void);
bool MpVideoStreamingViewIsTopView(void);
void MpVideoStreamingViewShowNocontentImage(void *pUserData);
void MpVideoStreamingViewHideNocontentImage(void);
void MpVideoStreamingViewPortrate(void);
void MpVideoStreamingViewLandscape(void);
void MpVideoStreamingViewUpdateProgressBar(void *pUserData);
void MpVideoStreamingViewSetMuteStatus(bool bMute);

#endif
