/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_STRING_DEFINE_
#define  _VIDEO_STRING_DEFINE_

#include <app.h>

#define MP_SYS_STRING							"sys_string"
#define	MP_STREAMING_PLAYER_STR					"Streaming player"
#define MP_VPL_SOUND_ALIVE							"Sound Alive"
#define MP_VPL_ADD_TO_HOME							_("IDS_AT_BUTTON_ADD_TO_HOME")
#define MP_VIDEO_SOUND_PATH							"Sound Path"




/* SMTP Repeat mode string */
#define MP_VPL_REPEAT_OFF							"Stop after current "
#define MP_VPL_REPEAT_ALL_OFF						"Stop after playing all "
#define MP_VPL_REPEAT_ONE							"Repeat the current "
#define MP_VPL_REPEAT_ALL							"Repeat all "


#define MP_SHARE_MESSAGE						 	(dgettext(MP_SYS_STRING, "IDS_COM_BODY_MESSAGE"))
#define MP_SHARE_EMAIL								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_EMAIL"))
#define MP_SHARE_BLUETOOTH							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_BLUETOOTH"))
#define MP_SHARE_FTM								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_WI_FI"))
#define MP_SHARE_FACEBOOK							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_FACEBOOK"))
#define MP_SHARE_YOUTUBE							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_YOU_TUBE"))
#define MP_SHARE_ALLSHARE							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_ALLSHARE"))


// SMTP video player string
#define MP_VPL_UNABLE_TO_PLAY_VIDEO					"IDS_VPL_POP_UNABLE_TO_PLAY_VIDEO_ERROR_OCCURRED"
#define MP_VPL_HEADER_SHARE_VIDEO_ABB				"IDS_VPL_HEADER_SHARE_VIDEO_ABB"
#define MP_VPL_OPT_SET_AS							"IDS_VPL_OPT_SET_AS"
#define MP_VPL_POP_INVALID_STREAMING_DATA			"IDS_VPL_POP_UNABLE_TO_PLAY_VIDEO_INVALID_STREAMING_DATA"
#define MP_VPL_POP_UNSUPPORTED_AUDIO_FORMAT			"IDS_VPL_POP_UNSUPPORTED_AUDIO_FORMAT"
#define MP_VPL_POP_UNSUPPORTED_VIDEO_FORMAT			"IDS_VPL_POP_UNSUPPORTED_VIDEO_FORMAT"
#define MP_VPL_POP_UNSUPPORTED_FILE_TYPE			"IDS_VPL_POP_UNSUPPORTED_FILE_TYPE"
#define MP_VPL_SOUND_ALIVE_NORMAL					"IDS_VPL_OPT_NORMAL"
#define MP_VPL_SOUND_ALIVE_VOICE					"IDS_VPL_BODY_VOICE_M_SOUNDEFFECT"
#define MP_VPL_SOUND_ALIVE_MOVIE					"IDS_VPL_BODY_MOVIE_M_SOUNDEFFECT"
#define MP_VPL_SOUND_ALIVE_51CH						"IDS_VPL_BODY_51CH_M_SOUNDEFFECT"
#define MP_VPL_51CH_ONLY_EARPHONE					"IDS_VPL_POP_51_CHANNEL_SOUND_EFFECT_WORKS_IN_EARPHONE_MODE_ONLY"
#define MP_VPL_GPS_LATITUDE							"IDS_VPL_BODY_LATITUDE"
#define MP_VPL_GPS_LONGITUTD						"IDS_VPL_BODY_LONGITUDE"
#define MP_VPL_TRIM									"IDS_VPL_SK3_TRIM"
#define MP_VPL_SUBTITLES							"IDS_VPL_OPT_SUBTITLES"
#define MP_VPL_AUDIO_TRACK							_("IDS_VPL_OPT_AUDIO_TRACK")
#define MP_VPL_VIDEO_AUTO_OFF						_("IDS_VPL_HEADER_VIDEO_AUTO_OFF_ABB")
#define MP_VPL_BODY_NORMAL							_("IDS_VPL_BODY_NORMAL")
#define MP_VPL_BODY_WARM							_("IDS_VPL_BODY_WARM")
#define MP_VPL_BODY_COLD							_("IDS_VPL_BODY_COLD_M_COLOURTONE")
#define MP_VPL_BODY_COLOR_TONE						_("IDS_VPL_BODY_COLOUR_TONE")
#define MP_VPL_OUTDOOR_VISIBILITY					_("IDS_VPL_OPT_OUTDOOR_VISIBILITY")
#define MP_VPL_BODY_AFTER_PD_HOURS					_("IDS_VPL_BODY_AFTER_PD_HOURS")
#define MP_VPL_BODY_AFTER_PD_MINUTES				_("IDS_VPL_BODY_AFTER_PD_MINUTES")
#define MP_VPL_OPT_AFTER_1_HOUR_30_MIN				_("IDS_VPL_OPT_AFTER_1_HOUR_30_MIN")
#define MP_VPL_BODY_AFTER_1_HOUR					_("IDS_VPL_BODY_AFTER_1_HOUR")


/* SMTP Subtitle option string */
#define MP_VPL_SUBTITLE_SIZE_LARGE					_("IDS_VPL_BODY_LARGE")
#define MP_VPL_SUBTITLE_SIZE_MEDIUM					_("IDS_VPL_BODY_MEDIUM")
#define MP_VPL_SUBTITLE_SIZE_SMALL					_("IDS_VPL_BODY_SMALL")
#define MP_VPL_SUBTITLE_SHOW						_("IDS_VPL_BODY_SUBTITLES_ON")
#define MP_VPL_SUBTITLE_HIDE						_("IDS_VPL_BODY_SUBTITLES_OFF")
#define MP_VPL_SUBTITLE_SIZE						(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SIZE"))
#define MP_VPL_SUBTITLE_LANGUAGE					(dgettext(MP_SYS_STRING, "IDS_COM_SK_LANGUAGE"))
#define MP_VPL_SUBTITLE_SYNC						(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SYNCHRONIZE"))


// SMTP others module string
#define MP_BT_POP_FILEBROWSINGFAIL						"IDS_BT_POP_FILEBROWSINGFAIL"
#define MP_BLUETOOTH_HEADSET_DISCONNECTED				"IDS_DVBH_POP_BLUETOOTH_STEREO_HEADSET_DISCONNECTED"
#define MP_WGT_POP_ALLOW_TO_DELETE_FILE_Q				"IDS_WGT_POP_ALLOW_TO_DELETE_FILE_Q"
#define MP_EBOOK_BODY_LOADING_ING						"IDS_EBOOK_BODY_LOADING_ING"
#define MP_VPL_BODY_UNABLE_TO_PLAY_VIDEO_DURING_CALL 	"IDS_VPL_BODY_UNABLE_TO_PLAY_VIDEO_DURING_CALL"

//  SORT
#define MP_VPL_SORT_BY_TITLE							_("IDS_VPL_OPT_SORT_BY")
#define MP_VPL_OPT_NAME_HA_TO_Z							_("IDS_VPL_OPT_NAME_HA_TO_Z")
#define MP_VPL_OPT_NAME_HZ_TO_A							_("IDS_VPL_OPT_NAME_HZ_TO_A")
#define MP_VPL_OPT_DATE_HMOST_RECENT					_("IDS_VPL_OPT_DATE_HMOST_RECENT")
#define MP_VPL_OPT_DATE_HOLDEST							_("IDS_VPL_OPT_DATE_HOLDEST")


// Default system string
#define MP_COM_POP_ERROR							(dgettext(MP_SYS_STRING, "IDS_COM_POP_ERROR"))
#define	MP_COM_BODY_LOW_BATTERY						(dgettext(MP_SYS_STRING, "IDS_COM_BODY_LOW_BATTERY"))
#define MP_COM_BODY_DELETE							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_DELETE"))
#define MP_COM_BODY_DELETE_Q						(dgettext(MP_SYS_STRING, "IDS_COM_POP_DELETE_Q"))
#define MP_COM_BODY_SELECT_ALL						(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SELECT_ALL"))
#define MP_COM_POP_SELECTED							(dgettext(MP_SYS_STRING, "IDS_COM_POP_SELECTED"))
#define MP_COM_POP_DELETED                          (dgettext(MP_SYS_STRING, "IDS_COM_POP_DELETED"))
#define MP_COM_SK_BACK								(dgettext(MP_SYS_STRING, "IDS_COM_SK_BACK"))

#define MP_COM_SK_YES								(dgettext(MP_SYS_STRING, "IDS_COM_SK_YES"))
#define MP_COM_SK_NO								(dgettext(MP_SYS_STRING, "IDS_COM_SK_NO"))
#define MP_COM_BUTTON_CANCEL						(dgettext(MP_SYS_STRING, "IDS_IDLE_BUTTON_CANCEL"))
#define MP_COM_BUTTON_SHARE							(dgettext(MP_SYS_STRING, "IDS_COM_BUTTON_SHARE"))
#define MP_COM_BODY_SIZE							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SIZE"))
#define MP_COM_BODY_DETAILS_TITLE					(dgettext(MP_SYS_STRING, "IDS_COM_BODY_DETAILS_TITLE"))
#define MP_COM_BODY_FORMAT							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_FORMAT"))
#define MP_COM_POP_DATE								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_DATE" ))
#define MP_COM_BODY_SOUNDS							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SOUNDS"))
#define MP_IDLE_BODY_RESOLUTION						(dgettext(MP_SYS_STRING, "IDS_IDLE_BODY_RESOLUTION"))
#define MP_COM_BODY_DETAILS							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_DETAILS"))
#define MP_VIDEO_POPUP_SHARE						(dgettext(MP_SYS_STRING, "IDS_COM_SK4_SHARE"))
#define MP_COM_SEARCH								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SEARCH"))
#define MP_COM_CLOSE								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_CLOSE"))

#define MP_COM_SOUND_ALIVE							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SOUNDS"))
#define MP_COM_SETTINGS								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_SETTINGS"))
#define MP_COM_POP_FILE_NOT_FOUND					(dgettext(MP_SYS_STRING, "IDS_COM_POP_FILE_NOT_FOUND"))
#define MP_COM_POP_INVALID_URL						(dgettext(MP_SYS_STRING, "IDS_COM_POP_INVALID_URL"))
#define MP_COM_POP_CONNECTION_FAILED				(dgettext(MP_SYS_STRING, "IDS_COM_POP_CONNECTION_FAILED"))
#define MP_COM_POP_FILE_NOT_EXIST					(dgettext(MP_SYS_STRING, "IDS_COM_POP_FILE_NOT_EXIST"))
#define MP_COM_POP_NO_VIDEOS						(dgettext(MP_SYS_STRING, "IDS_COM_BODY_NO_VIDEOS"))
#define MP_COM_VIDEOS								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_VIDEOS"))
#define MP_COM_FOLDER								(dgettext(MP_SYS_STRING, "IDS_COM_POP_FOLDER"))
#define MP_COM_CANCEL								(dgettext(MP_SYS_STRING, "IDS_COM_SK_CANCEL"))
#define MP_COM_DELETE								(dgettext(MP_SYS_STRING, "IDS_COM_OPT_DELETE"))
#define MP_COM_CONNECTION_FAIL						(dgettext(MP_SYS_STRING, "IDS_COM_POP_CONNECTION_ERROR"))
#define MP_COM_REPEAT_MODE							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_REPEAT"))
#define MP_COM_OPT_ADDED							(dgettext(MP_SYS_STRING, "IDS_COM_OPT_ADDED"))
#define MP_COM_BODY_GENERAL							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_GENERAL"))
#define MP_COM_BODY_DISPLAY							(dgettext(MP_SYS_STRING, "IDS_COM_BODY_DISPLAY"))
#define MP_COM_BODY_OFF								(dgettext(MP_SYS_STRING, "IDS_COM_BODY_OFF"))
#define MP_COM_RECORDED								_("IDS_VPL_BODY_RECORDED")

#define MP_VIDEO_CHAPTER_VIEW						_("IDS_VPL_HEADER_CHAPTER_PREVIEW_ABB")

#define MP_VPL_SORT_BY								"Sort by"
#define MP_VPL_BOOKMARK_LIST_FULL					_("IDS_VPL_POP_BOOKMARK_LIST_FULL_DELETE_SOME_BOOKMARKS")

/* DRM POPUP */
#define MP_VPL_DRM_INTERVAL_BASED_DAYS		_("You can use %s for %d days. Would you like to open it now?")
#define MP_VPL_DRM_TIME_BASED_GET			_("%s is about to be locked. Do you want to get more licenses?")
#define MP_VPL_DRM_COUNT_BASED_OPEN_ONE		_("You have one more use of %s. Do you want to open it now?")
#define MP_VPL_DRM_COUNT_BASED_OPEN_MANY	_("You have %d more uses of %s. Do you want to open it now?")
#define MP_VPL_DRM_COUNT_BASED_ONE_MORE_GET	_("You have one more use of %s. Do you want to get more licenses?")
#define MP_VPL_DRM_COUNT_BASED_NO_MORE_GET	_("You have no more use of %s. Do you want to get more licenses?")
#define MP_VPL_DRM_UNLOCK					_("%s is currently locked. Do you want to unlock it now?")

/*DV*/
#define DV_BTN_LABEL_SEARCH			(dgettext("sys_string", "IDS_COM_SK_SEARCH"))
#define DV_BTN_LABEL_CANCEL			(dgettext("sys_string", "IDS_COM_SK_CANCEL"))

#endif //_VIDEO_STRING_DEFINE_
