/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_TYPE_DEFINE_
#define  _VIDEO_TYPE_DEFINE_


typedef enum
{
	VIDEO_ROTATE_UNKNOWN				= 0,
	VIDEO_ROTATE_PORTRAIT_NORMAL,
	VIDEO_ROTATE_PORTRAIT_REVERSE,
	VIDEO_ROTATE_LANDSCAPE_NORMAL,
	VIDEO_ROTATE_LANDSCAPE_REVERSE,
}MpVideoRotateType;

typedef enum
{
	MP_HTTP_STREAMING					= 0,
	MP_RTSP_STREAMING,
}MpProtocolType;

typedef enum
{
	MP_DISPLAY_METHOD_LETTER_BOX		= 0,
}MpDisplayMethod;

typedef enum
{
	MP_SOUND_PATH_SPEAKER				= 0,
	MP_SOUND_PATH_EARJACK,
	MP_SOUND_PATH_BLUETOOTH,
	MP_SOUND_PATH_MAX,
}MpSoundPathType;

typedef enum
{
	MP_PLAYER_ERROR_NONE			= 0,	// Successful
	MP_PLAYER_ERROR_OUT_OF_MEMORY,			// Out of memory
	MP_PLAYER_ERROR_INVALID_PARAMETER,		// Invalid parameter
	MP_PLAYER_ERROR_NO_SUCH_FILE,			// No such file or directory 
	MP_PLAYER_ERROR_INVALID_OPERATION,		// Invalid operation
	MP_PLAYER_ERROR_SEEK_FAILED,			// Seek operation failure
	MP_PLAYER_ERROR_INVALID_STATE,			// Invalid state
	MP_PLAYER_ERROR_NOT_SUPPORTED_FILE,		// Not supported file format
	MP_PLAYER_ERROR_INVALID_URI,			// Invalid URI
	MP_PLAYER_ERROR_SOUND_POLICY,			// Sound policy error
	MP_PLAYER_ERROR_CONNECTION_FAILED,		// Streaming connection failed 
	MP_PLAYER_ERROR_VIDEO_CAPTURE_FAILED,	// Video capture failure 
	MP_PLAYER_ERROR_UNKNOWN_ERROR,			// unknown error.
}MpPlayerErrorType;

typedef enum
{
	MP_PLAYER_INTERRUPTED_COMPLETED  = 0,		// Interrupt completed
	MP_PLAYER_INTERRUPTED_BY_OTHER_APP,			// Interrupted by another application
	MP_PLAYER_INTERRUPTED_BY_CALL,				// Interrupted by incoming call
	MP_PLAYER_INTERRUPTED_BY_EARJACK_UNPLUG,	// Interrupted by unplugging headphone
	MP_PLAYER_INTERRUPTED_BY_RESOURCE_CONFLICT,	// Interrupted by resource conflict
	MP_PLAYER_INTERRUPTED_BY_ALARM,				// Interrupted by alarm
}MpPlayerInterrupteType;


typedef enum
{
	MP_PLAYER_STATE_WAIT_FOR_RESUME		= -3,
	MP_PLAYER_STATE_WAIT_FOR_PLAY		= -2,
	MP_PLAYER_STATE_WAIT_FOR_RESPONSE	= -1,
	MP_PLAYER_STATE_CLEAR				= 0,
	MP_PLAYER_STATE_PLAY,
	MP_PLAYER_STATE_PAUSE,
	MP_PLAYER_STATE_RESUME,
	MP_PLAYER_STATE_STOP,
	MP_PLAYER_STATE_PAUSE_BEFORE_PLAY,
	MP_PLAYER_STATE_MAX
}MpPlayerState;


typedef enum
{
	MP_PLAYING_SPEED_NORMAL		= 1,
	MP_PLAYING_SPEED_2X			= 2,
	MP_PLAYING_SPEED_3X			= 3,
	MP_PLAYING_SPEED_4X			= 4,
	MP_PLAYING_SPEED_5X			= 5,
	MP_PLAYING_SPEED_MAX		= MP_PLAYING_SPEED_5X,
}MpVideoPlayingSpeedType;


typedef enum
{
	MP_SUBTITLE_TYPE_SUB				= 0,
	MP_SUBTITLE_TYPE_SRT,
	MP_SUBTITLE_TYPE_SMI,
	MP_SUBTITLE_TYPE_MAX,
}MpSubTitleType;


typedef enum
{
	MP_NETWORK_CLOSE					= 0,
	MP_NETWORK_ON,
	MP_NETWORK_MAX,
}MpNetworkConfig;


typedef enum
{
	MP_NETWORK_TYPE_OFF					= 0,
	MP_NETWORK_TYPE_CELLULAR,
	MP_NETWORK_TYPE_WIFI,
	MP_NETWORK_TYPE_MAX,
}MpNetworkType;


typedef enum
{
	MP_NETWORK_WIFI_OFF					= 0,
	MP_NETWORK_WIFI_NOT_CONNECTED,
	MP_NETWORK_WIFI_CONNECTED,
	MP_NETWORK_WIFI_MAX,
}MpNetworkWifiState;


typedef enum
{
	MP_NETWORK_CELLULAR_ON				= 0,
	MP_NETWORK_CELLULAR_3G_OPTION_OFF,
	MP_NETWORK_CELLULAR_ROAMING_OFF,
	MP_NETWORK_CELLULAR_FLIGHT_MODE,
	MP_NETWORK_CELLULAR_NO_SERVICE,
	MP_NETWORK_CELLULAR_MAX,
}MpNetworkCellularState;

typedef enum
{
	MP_FILE_STREAM_TYPE_NOTHING			= 0,
	MP_FILE_STREAM_TYPE_VIDEO_AUDIO,
	MP_FILE_STREAM_TYPE_AUDIO,
	MP_FILE_STREAM_TYPE_VIDEO,
	MP_FILE_STREAM_TYPE_MAX,
}MpVideoFileStreamType;

typedef enum
{
	MP_OPTION_TYPE_LOCAL = 0,
	MP_OPTION_TYPE_MYFILE,
	MP_OPTION_TYPE_EMAIL,
	MP_OPTION_TYPE_WEB,
	MP_OPTION_TYPE_MESSAGE,
	MP_OPTION_TYPE_ALLSHARE,
	MP_OPTION_TYPE_MAX,
}MpOptionMenuType;

#endif //_VIDEO_TYPE_DEFINE_
