/*
 * Copyright (c) [2012] Samsung Electronics Co., Ltd.
 *
 * Licensed under the Flora License, Version 1.1 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef _VIDEO_VIEW_MGR_
#define  _VIDEO_VIEW_MGR_



bool MpVideoViewCtrlInit(VideoAppData* pAppData);
void MpVideoViewCtrlDestroy(void* pUserData);


void MpVideoViewCtrlSetRotation(int nRotateMode, bool bLayoutHide, void *pUserData);
void MpVideoViewCtrlInitAfterBeginOfStream(void*);
void MpVideoViewCtrlPause(void* pUserData);
void MpVideoViewCtrlResume(void* pUserData);
void MpVideoViewShowLayout(void* pUserData);
void MpVideoViewHideLayout(void* pUserData);
void MpVideoViewCtrlShowFinish(void *pUserData);
void MpVideoViewCtrlHideFinish(void *pUserData, bool bLayoutOff);
void MpVideoViewSetBufferingRateForStreamingView(int nSetBufferingRate, void* pUserData);
void MpVideoViewCtrlChangeTitle(void *pUserData);
bool MpVideoViewCtrlIsTopView(void *pUserData);
void MpVideoViewCtrlShowNocontentImage(void* pUserData);
void MpVideoViewCtrlHideNocontentImage(void* pUserData);
void MpVideoViewCtrlResetProgressBar(void *pUserData);
void MpVideoViewCtrlPopTopView(int nPlayerType, void *pUserData);
void MpVideoViewCtrlUpdateProgressbar(void *pUserData);
bool MpVideoViewCtrlIsPauseByUser(void *pUserData);
void MpVideoViewCtrlSetMuteValue(bool bMute);
void MpVideoViewCtrlShowVolume();
void MpVideoViewCtrlHideVolume();

#endif //_VIDEO_VIEW_MGR_