Name:       org.tizen.video-player
Summary:    Video & streaming player
Version:    0.5.141
Release:    1
Group:      TO_BE/FILLED_IN
License:    Flora
Source0:    %{name}-%{version}.tar.gz
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(drm-client)
BuildRequires: pkgconfig(utilX)
BuildRequires: pkgconfig(dlog)
BuildRequires: pkgconfig(vconf)
BuildRequires: pkgconfig(syspopup-caller)
BuildRequires: pkgconfig(ecore)
BuildRequires: pkgconfig(eina)
BuildRequires: pkgconfig(evas)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(efreet)
BuildRequires: pkgconfig(pmapi)
BuildRequires: pkgconfig(capi-appfw-application)
BuildRequires: pkgconfig(capi-media-player)
BuildRequires: pkgconfig(capi-media-sound-manager)
BuildRequires: pkgconfig(capi-media-image-util)
BuildRequires: pkgconfig(capi-system-power)
BuildRequires: pkgconfig(capi-media-metadata-extractor)
BuildRequires: pkgconfig(capi-content-media-content)
BuildRequires: pkgconfig(capi-content-mime-type)
BuildRequires: pkgconfig(capi-system-sensor)
BuildRequires: pkgconfig(ecore-evas)
BuildRequires: pkgconfig(ecore-x)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(devman)
BuildRequires: pkgconfig(ui-gadget-1)
BuildRequires: boost-devel
BuildRequires: boost-thread
BuildRequires: boost-system
BuildRequires: boost-filesystem


BuildRequires: cmake
BuildRequires: gettext-tools
BuildRequires: edje-tools
BuildRequires: prelink
BuildRequires: libicu-devel

%description
Video & streaming player

%prep
%setup -q

%ifarch %{arm}
%define ARCH arm
%else
%define ARCH i586
%endif

%build
cmake . -DCMAKE_INSTALL_PREFIX=/usr/apps/org.tizen.video-player  -DARCH=%{ARCH}
make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}
%make_install
execstack -c %{buildroot}/usr/apps/org.tizen.video-player/bin/video-player
mkdir -p %{buildroot}/usr/share/license
cp LICENSE.Flora %{buildroot}/usr/share/license/%{name}

%post
vconftool set -t bool db/private/org.tizen.video-player/backgroud_playing 0  -g 5000
vconftool set -t int  db/private/org.tizen.video-player/video_auto_off_type 0  -g 5000
vconftool set -t bool db/private/org.tizen.video-player/auto_search_subtitle_file 1  -g 5000
vconftool set -t bool db/private/org.tizen.video-player/show_subtitle 1  -g 5000
vconftool set -t int  db/private/org.tizen.video-player/subtitle_size 1  -g 5000
vconftool set -t int  db/private/org.tizen.video-player/display_color_tone_type 0  -g 5000
vconftool set -t bool db/private/org.tizen.video-player/outdoor_visibility 0  -g 5000
vconftool set -t string db/private/org.tizen.video-player/preview_url_videos "" -g 5000
vconftool set -t string db/private/org.tizen.video-player/preview_url_records "" -g 5000
vconftool set -t string db/private/org.tizen.video-player/show_indicator 1 -g 5000
vconftool set -t string db/private/org.tizen.video-player/show_border 0 -g 5000

%files -n org.tizen.video-player
/opt/etc/smack/accesses.d/org.tizen.video-player.rule

%manifest org.tizen.video-player.manifest
%dir /opt/usr/media/.video_thumb

/usr/apps/org.tizen.video-player/bin/*
/usr/apps/org.tizen.video-player/res/locale/*
/usr/share/icons/default/small/*
/usr/apps/org.tizen.video-player/res/edje/*
/usr/apps/org.tizen.video-player/res/images/*
/usr/share/packages/org.tizen.video-player.xml

/usr/share/license/%{name}
